> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the task's published pull request merge box and live checks



## OpenAPI

````yaml api-reference/openapi.v1.json GET /tasks/{taskID}/github/pr
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /tasks/{taskID}/github/pr:
    get:
      tags:
        - tasks
      summary: Get the task's published pull request merge box and live checks
      operationId: getTaskGithubPullRequest
      parameters:
        - in: path
          name: taskID
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  checks:
                    items:
                      $ref: '#/components/schemas/TaskGitHubPullRequestCheck'
                    type: array
                  merge_box:
                    $ref: '#/components/schemas/TaskGitHubPullRequestMergeBox'
                required:
                  - merge_box
                  - checks
                type: object
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Gateway
components:
  schemas:
    TaskGitHubPullRequestCheck:
      additionalProperties: false
      properties:
        check_run_id:
          format: int64
          maximum: 9007199254740991
          minimum: 0
          type: integer
        conclusion:
          minLength: 1
          type: string
        details_url:
          minLength: 1
          type: string
        name:
          type: string
        status:
          minLength: 1
          type: string
        summary:
          type: string
        summary_truncated:
          type: boolean
      required:
        - check_run_id
        - name
        - status
        - summary_truncated
      type: object
    TaskGitHubPullRequestMergeBox:
      additionalProperties: false
      properties:
        additions:
          format: int64
          minimum: 0
          type: integer
        base_branch:
          minLength: 1
          type: string
        checks_failed:
          format: int64
          minimum: 0
          type: integer
        checks_passed:
          format: int64
          minimum: 0
          type: integer
        checks_total:
          format: int64
          minimum: 0
          type: integer
        ci_status:
          $ref: '#/components/schemas/TaskCIStatus'
        deletions:
          format: int64
          minimum: 0
          type: integer
        head_branch:
          minLength: 1
          type: string
        head_sha:
          minLength: 1
          type: string
        html_url:
          minLength: 1
          type: string
        mergeable_state:
          $ref: '#/components/schemas/TaskGitHubPRMergeableState'
        pr_number:
          format: int64
          minimum: 1
          type: integer
        state:
          $ref: '#/components/schemas/TaskGitHubPRState'
        title:
          type: string
      required:
        - pr_number
        - title
        - html_url
        - head_sha
        - checks_passed
        - checks_failed
        - checks_total
        - additions
        - deletions
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    TaskCIStatus:
      enum:
        - pending
        - passed
        - failed
      type: string
    TaskGitHubPRMergeableState:
      enum:
        - clean
        - dirty
        - blocked
        - behind
        - unstable
        - unknown
        - draft
        - has_hooks
      type: string
    TaskGitHubPRState:
      enum:
        - open
        - closed
        - merged
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````